Skip to main content
PATCH
Update an existing encryption key

Authorizations

X-BRONTO-API-KEY
string
header
required

Path Parameters

keyId
string
required

The unique identifier of the encryption key

Body

application/json

Update request for encryption key. Only name and status can be updated. Status can only transition from CREATED to ACTIVE.

name
string

User-facing name for this key

status
enum<string>

Key status. Only CREATED keys can be transitioned to ACTIVE status.

Available options:
ACTIVE

Response

The updated encryption key

org_id
string
required

Organization ID

id
string
required

Key ID

name
string
required

User-facing name for this key

provider
enum<string>
required
Available options:
AWS_KMS
status
enum<string>
required
Available options:
KEY_STATUS_UNSPECIFIED,
CREATED,
ACTIVE,
DISABLED
aws_kms
object